TinyWebGallery Index.PHP 跨站脚本漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110071 漏洞类型 跨站脚本
发布时间 2006-04-15 更新时间 2006-04-18
CVE编号 CVE-2006-1802 CNNVD-ID CNNVD-200604-282
漏洞平台 PHP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/27651
https://cxsecurity.com/issue/WLB-2006040048
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200604-282
|漏洞详情
TinyWebGallery1.3和1.4中的index.php存在跨站脚本漏洞。这使得远程攻击者可以借助于twg_album参数注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/17536/info

Tiny Web Gallery is prone to a cross-site scripting vulnerability because it fails to properly sanitize user-supplied input. 

An attacker may leverage this issue to have arbitrary script code executed in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.

Versions 1.4 and prior are vulnerable.

http://www.example.com/[PATH]/index.php?twg_album='><script>alert(document.cookie)</script>
|参考资料

来源:BID
名称:17536
链接:http://www.securityfocus.com/bid/17536
来源:BUGTRAQ
名称:20060415TinyWebGallery<=1.4XSS
链接:http://www.securityfocus.com/archive/1/archive/1/431069/100/0/threaded
来源:VUPEN
名称:ADV-2006-1369
链接:http://www.frsirt.com/english/advisories/2006/1369
来源:SECUNIA
名称:19660
链接:http://secunia.com/advisories/19660
来源:XF
名称:tinywebgallery-index-xss(25831)
链接:http://xforce.iss.net/xforce/xfdb/25831
来源:BUGTRAQ
名称:20060606Re:TinyWebGallery<=1.4XSS
链接:http://www.securityfocus.com/archive/1/archive/1/436451/30/4560/threaded
来源:SREASON
名称:717
链接:http://securityreason.com/securityalert/717